Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277983 - media-sound/ardour-2.8.7: Respect CFLAGS and LDFLAGS
Summary: media-sound/ardour-2.8.7: Respect CFLAGS and LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags 255759
  Show dependency tree
 
Reported: 2009-07-15 20:12 UTC by Matthias Schwarzott
Modified: 2011-04-30 10:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ardour-2.8.2.ebuild (ardour-2.8.2.ebuild,3.02 KB, text/plain)
2009-08-16 14:15 UTC, David Abbott
Details
ardour-2.8.2-cflags.patch (ardour-2.8.2-cflags.patch,1020 bytes, patch)
2009-08-16 14:16 UTC, David Abbott
Details | Diff
ardour-2.8.2-sndfile-external.patch (ardour-2.8.2-sndfile-external.patch,1.22 KB, patch)
2009-08-16 14:16 UTC, David Abbott
Details | Diff
ardour-2.8.2.ebuild (ardour-2.8.2.ebuild,3.02 KB, text/plain)
2009-08-16 14:17 UTC, David Abbott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Schwarzott gentoo-dev 2009-07-15 20:12:20 UTC
media-sound/ardour-2.7.1 fails to build with gcc-4.4

i686-pc-linux-gnu-g++ -o libs/pbd/libpbd.so -O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe -DARCH_X86 -mmmx -m3dnow -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -DBUILD_SSE_OPTIMIZATIONS -Wl,--export-dynamic -pthread -shared libs/pbd/basename.os libs/pbd/base_ui.os libs/pbd/command.os libs/pbd/convert.os libs/pbd/copyfile.os libs/pbd/controllable.os libs/pbd/enumwriter.os libs/pbd/dmalloc.os libs/pbd/error.os libs/pbd/fpu.os libs/pbd/id.os libs/pbd/mountpoint.os libs/pbd/path.os libs/pbd/pathscanner.os libs/pbd/pool.os libs/pbd/pthread_utils.os libs/pbd/receiver.os libs/pbd/shortpath.os libs/pbd/stacktrace.os libs/pbd/stateful.os libs/pbd/strreplace.os libs/pbd/strsplit.os libs/pbd/textreceiver.os libs/pbd/transmitter.os libs/pbd/undo.os libs/pbd/version.os libs/pbd/whitespace.os libs/pbd/xml++.os -lsigc-2.0 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0
i686-pc-linux-gnu-g++ -o libs/midi++2/fd_midiport.os -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe -DARCH_X86 -mmmx -m3dnow -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -pthread -DWITH_ALSA -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DLIBSIGC_DISABLE_DEPRECATED -fPIC -I/usr/lib/glib-2.0/include -Ilibs/pbd -I/usr/include/glib-2.0 -I/usr/lib/glibmm-2.4/include -Ilibs/midi++2 -I/usr/include/sigc++-2.0 -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/sigc++-2.0/include libs/midi++2/fd_midiport.cc
i686-pc-linux-gnu-g++ -o libs/midi++2/fifomidi.os -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe -DARCH_X86 -mmmx -m3dnow -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -pthread -DWITH_ALSA -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DLIBSIGC_DISABLE_DEPRECATED -fPIC -I/usr/lib/glib-2.0/include -Ilibs/pbd -I/usr/include/glib-2.0 -I/usr/lib/glibmm-2.4/include -Ilibs/midi++2 -I/usr/include/sigc++-2.0 -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/sigc++-2.0/include libs/midi++2/fifomidi.cc
i686-pc-linux-gnu-g++ -o libs/midi++2/midi.os -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe -DARCH_X86 -mmmx -m3dnow -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -pthread -DWITH_ALSA -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DLIBSIGC_DISABLE_DEPRECATED -fPIC -I/usr/lib/glib-2.0/include -Ilibs/pbd -I/usr/include/glib-2.0 -I/usr/lib/glibmm-2.4/include -Ilibs/midi++2 -I/usr/include/sigc++-2.0 -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/sigc++-2.0/include libs/midi++2/midi.cc
libs/midi++2/midi.cc: In function 'MIDI::byte MIDI::decode_controller_name(const char*)':
libs/midi++2/midi.cc:164: error: invalid conversion from 'const char*' to 'char*'
scons: *** [libs/midi++2/midi.os] Error 1
scons: building terminated because of errors.
 *
 * ERROR: media-sound/ardour-2.7.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2807:  Called die
 * The specific snippet of code:
 *       scons $(ardour_use_enable DEBUG debug) FPU_OPTIMIZATION=${FPU_OPTIMIZATION} DESTDIR="${D}" $(ardour_use_enable NLS nls) $(ardour_use_enable FREESOUND freesound) FFT_ANALYSIS=1 SYSLIBS=1 CFLAGS="${CFLAGS}" LV2=0 PREFIX=/usr || die "scons failed"
 *  The die message:
 *   scons failed
 *

# emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.29-tuxonice-r3 i686)
=================================================================
System uname: Linux-2.6.29-tuxonice-r3-i686-AMD_Athlon-tm-_XP_3000+-with-gentoo-2.0.1
Timestamp of tree: Tue, 14 Jul 2009 10:15:02 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     9999
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /lib/udev/rules.d /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium3 -mtune=athlon-xp -fomit-frame-pointer -pipe"
DISTDIR="/usr/my-distfiles"
FEATURES="assume-digest ccache distlocks fixpackages multilib-strict parallel-fetch protect-owned sandbox sfperms sign splitdebug strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.mneisen.org/ http://mirror.jamit.de/gentoo/"
LANG="de_DE.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="de en en_GB"
PKGDIR="/usr/my-packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/zzam /usr/local/overlays/vdr/vdr-xine-overlay /usr/local/overlays/vdr/testing /usr/local/overlays/layman/sunrise /usr/local/overlays/layman/science /usr/local/overlays/dev-overlay"
SYNC="cvs://zzam@cvs.gentoo.org:/var/cvsroot"
USE="3dnow 3dnowext X Xaw3d a52 aac acl acpi alsa amr apache2 artswrappersuid audacious bash-completion berkdb bluetooth branding bzip2 cairo cap caps cdaudio cddb cdparanoia cdr cli cracklib crypt css cups curl cvs dbus doc dri dts dvb dvd dvdr dvdread emboss encode evo exif fam fbcon ffmpeg firefox font-server fortran fuse gcj gdbm gif gimpprint glut gnutls gphoto2 gpm graphviz gstreamer gtk gtk2 hal hbci iconv imap ipv6 isdnlog java jpeg jpeg2k kde kdexdeltas kipi lapack latex libdvdread libnotify lirc logitech-mouse mad midi mikmod mjpeg mmx mmxext mng mp3 mpeg mplayer mudflap musicbrainz mysql ncurses nls nptl nptlonly nsplugin nvram offensive ogg opengl openmp pam pcre pdf perl php png ppds pppd projectx python qt3 qt3support qt4 quotes readline reflection regex samba session sms sndfile spell spl sql sqlite sse ssl startup-notification subversion svg sysfs taglib tcltk tcpd theora threads tiff truetype unicode usb userlocales v4l v4l2 vcd vdr visualization vorbis webdav win32codecs wma wmf x264 x86 xcomposite xext xinerama xml xorg xrandr xslt xulrunner xv xvid zlib zvbi" ALSA_CARDS="emu10k1 intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" DVB_CARDS="ttpci usb-wt220u dibusb-usb2 usb-dib0700" ELIBC="glibc" INPUT_DEVICES="mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text xosd" LINGUAS="de en en_GB" LIRC_DEVICES="serial" QEMU_SOFTMMU_TARGETS="i386 x86_64%" QEMU_USER_TARGETS="i386 x86_64" USERLAND="GNU" VIDEO_CARDS="nvidia v4l vesa vbdev nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Joost Ruis 2009-08-07 16:17:54 UTC
Upstream has a newer version available.

http://ardour.org/
Comment 4 David Abbott gentoo-dev 2009-08-16 14:15:29 UTC
Created attachment 201420 [details]
ardour-2.8.2.ebuild
Comment 5 David Abbott gentoo-dev 2009-08-16 14:16:12 UTC
Created attachment 201422 [details, diff]
ardour-2.8.2-cflags.patch
Comment 6 David Abbott gentoo-dev 2009-08-16 14:16:46 UTC
Created attachment 201424 [details, diff]
ardour-2.8.2-sndfile-external.patch
Comment 7 David Abbott gentoo-dev 2009-08-16 14:17:24 UTC
Created attachment 201426 [details]
ardour-2.8.2.ebuild
Comment 8 David Abbott gentoo-dev 2009-08-16 14:17:43 UTC
Thanks Joost, works here ~amd64 gcc version 4.4.1 (Gentoo 4.4.1 p1.0)
!!! dodoc: DOCUMENTATION/* does not exist
I will attach the ebuild and patches
Comment 9 Samuli Suominen gentoo-dev 2009-08-19 09:16:53 UTC
2.8.2 is in tree, but needs improvements..
Comment 10 Samuli Suominen gentoo-dev 2010-04-24 23:35:18 UTC
Comment on attachment 201424 [details, diff]
ardour-2.8.2-sndfile-external.patch

2.8.7 is now using external libsndfile
Comment 11 Tim Harder gentoo-dev 2011-04-30 10:11:18 UTC
Fixed in 2.8.11 in CVS.